Module ij
Package ij.plugin

# Class RGBStackMerge

java.lang.Object
ij.plugin.RGBStackMerge

All Implemented Interfaces:
  `PlugIn`

public class RGBStackMerge extends Object implements PlugIn
This plugin implements the Image/Color/Merge Channels command.

## Constructor Summary

Constructors
Constructor
Description
`RGBStackMerge()`

## Method Summary

Modifier and Type
Method
Description
`ImagePlus`
`createComposite(int w, int h, int d, ImageStack[] stacks, boolean keep)`
Deprecated; replaced by mergeChannels().
`static ImagePlus`
`mergeChannels(ImagePlus[] images, boolean keepSourceImages)`
`ImagePlus`
`mergeHyperstacks(ImagePlus[] images, boolean keep)`
`void`
`mergeStacks()`
Combines up to seven grayscale stacks into one RGB or composite stack.
`ImageStack`
`mergeStacks(int w, int h, int d, ImageStack red, ImageStack green, ImageStack blue, boolean keep)`
`static ImageStack`
`mergeStacks(ImageStack red, ImageStack green, ImageStack blue, boolean keepSource)`
`void`
`run(String arg)`
This method is called when the plugin is loaded.
`void`
`setScaleWhenConverting(boolean scale)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### RGBStackMerge

public RGBStackMerge()

## Method Details

### run

public void run(String arg)
Description copied from interface: `PlugIn`
This method is called when the plugin is loaded. 'arg', which may be blank, is the argument specified for this plugin in IJ_Props.txt.

Specified by:
  `run` in interface `PlugIn`

### mergeChannels

public static ImagePlus mergeChannels(ImagePlus[] images, boolean keepSourceImages)

### mergeStacks

public void mergeStacks()
Combines up to seven grayscale stacks into one RGB or composite stack.

### mergeHyperstacks

public ImagePlus mergeHyperstacks(ImagePlus[] images, boolean keep)

### createComposite

public ImagePlus createComposite(int w, int h, int d, ImageStack[] stacks, boolean keep)
Deprecated; replaced by mergeChannels().

### mergeStacks

public static ImageStack mergeStacks(ImageStack red, ImageStack green, ImageStack blue, boolean keepSource)

### mergeStacks

public ImageStack mergeStacks(int w, int h, int d, ImageStack red, ImageStack green, ImageStack blue, boolean keep)

### setScaleWhenConverting

public void setScaleWhenConverting(boolean scale)